Package org.kapott.hbci.dialog

## Enum DialogEvent

- java.lang.Object
- - java.lang.Enum<DialogEvent>
  - - org.kapott.hbci.dialog.DialogEvent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DialogEvent>`

    public enum DialogEvent
    extends java.lang.Enum<DialogEvent>

Diese Klasse enthaelt die verschiedenen Event-Arten.

### Enum Constant Summary

Enum Constants
`JOBS_CREATED` Wird gesendet, nachdem die Dialog-Initialisierung abgeschlossen ist und bevor die eigentlichen Geschaeftsvorfaelle an die Bank gesendet werden.
`MSG_CREATE` Wird gesendet, bevor HBCI4Java die Nachricht erzeugt aber noch nicht an die Bank gesendet hat.
`MSG_CREATED` Wird versendet, bevor HBCI4Java die Nachricht an die Bank gesendet hat und das Response vorliegt.
`MSG_SENT` Wird versendet, nachdem HBCI4Java die Nachricht an die Bank gesendet hat und das Response vorliegt.

### Method Summary

All Methods Static Methods Concrete Methods
`static DialogEvent` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DialogEvent[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MSG_CREATE

    public static final DialogEvent MSG_CREATE

Wird gesendet, bevor HBCI4Java die Nachricht erzeugt aber noch nicht an die Bank gesendet hat. Kann mehrfach auftreten, wenn z.Bsp. die Dialog-Initialisierung nach einer Neuwahl des TAN-Verfahrens (aus Code 3920) wiederholt werden muss.

#### MSG_CREATED

    public static final DialogEvent MSG_CREATED

Wird versendet, bevor HBCI4Java die Nachricht an die Bank gesendet hat und das Response vorliegt. Kann mehrfach auftreten, wenn z.Bsp. die Dialog-Initialisierung nach einer Neuwahl des TAN-Verfahrens (aus Code 3920) wiederholt werden muss.

#### MSG_SENT

    public static final DialogEvent MSG_SENT

Wird versendet, nachdem HBCI4Java die Nachricht an die Bank gesendet hat und das Response vorliegt. Kann mehrfach auftreten, wenn z.Bsp. die Dialog-Initialisierung nach einer Neuwahl des TAN-Verfahrens (aus Code 3920) wiederholt werden muss.

#### JOBS_CREATED

    public static final DialogEvent JOBS_CREATED

Wird gesendet, nachdem die Dialog-Initialisierung abgeschlossen ist und bevor die eigentlichen Geschaeftsvorfaelle an die Bank gesendet werden.

### Method Detail

#### values

    public static DialogEvent[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DialogEvent c : DialogEvent.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DialogEvent valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null